# nrdp – post task result to a nagios server through nrdp

New in version 2.8.

- Synopsis

- Parameters

- Status

## Synopsis

- this callback send playbook result to nagios

- nagios shall use NRDP to recive passive events

- the passive check is sent to a dedicated host/service for ansible

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
hostname - / required |  | ini entries: [callback_nrdp] hostname = VALUE env:NRDP_HOSTNAME | hostname where the passive check is linked to
servicename - / required |  | ini entries: [callback_nrdp] servicename = VALUE env:NRDP_SERVICENAME | service where the passive check is linked to
token - / required |  | ini entries: [callback_nrdp] token = VALUE env:NRDP_TOKEN | token to be allowed to push nrdp events
url - / required |  | ini entries: [callback_nrdp] url = VALUE env:NRDP_URL | url of the nrdp server
validate_certs - | Default: "no" | ini entries: [callback_nrdp] validate_nrdp_certs = no [callback_nrdp] validate_certs = no env:NRDP_VALIDATE_CERTS | (bool) validate the SSL certificate of the nrdp server. (For HTTPS url) aliases: validate_nrdp_certs

## Status

- This callback is not guaranteed to have a backwards compatible interface. [preview]

- This callback is maintained by the Ansible Community. [community]

### Authors

- Remi VERCHERE (@rverchere)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.